Bug 252691 - Making math/deal.ii depend on onetbb
Summary: Making math/deal.ii depend on onetbb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/dealii/dealii/issu...
Keywords:
Depends on:
Blocks: 252648
  Show dependency treegraph
 
Reported: 2021-01-14 22:05 UTC by Ganael LAPLANCHE
Modified: 2021-08-27 11:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)
martymac: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2021-01-14 22:05:54 UTC
Hello,

As a maintainer of math/deal.ii, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-13_22h35m17s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-13_22h35m17s/logs/deal.II-9.2.0.20201001.log

-- TBB_INCLUDE_DIR not found! Call:
--     FIND_PATH(TBB_INCLUDE_DIR tbb/tbb_stddef.h HINTS PATH_SUFFIXES include include/tbb tbb)
--   TBB_LIBRARIES: /usr/local/lib/libtbb.so
--   TBB_INCLUDE_DIRS: *** Required variable "TBB_INCLUDE_DIR" set to NOTFOUND ***
--   TBB_USER_INCLUDE_DIRS: *** Required variable "TBB_INCLUDE_DIR" set to NOTFOUND ***
-- Could NOT find TBB
-- The externally provided TBB library is older than version 4.2.0, which cannot be used with deal.II.
-- DEAL_II_WITH_TBB has unmet external dependencies.

That error does not prevent the port from building but tbb support is absent.

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Yuri Victorovich freebsd_committer 2021-01-15 00:03:43 UTC
Ganael,


There's no TBB-related error in the log.


Yuri
Comment 2 Ganael LAPLANCHE freebsd_committer 2021-01-15 14:29:28 UTC
Hello Yuri, thanks for your reply.

It seems there are:

-- Found TBB_LIBRARY
-- TBB_DEBUG_LIBRARY not found! Call:
--     FIND_LIBRARY(TBB_DEBUG_LIBRARY NAMES tbb_debug HINTS PATH_SUFFIXES lib lib64 lib)
-- TBB_INCLUDE_DIR not found! Call:
--     FIND_PATH(TBB_INCLUDE_DIR tbb/tbb_stddef.h HINTS PATH_SUFFIXES include include/tbb tbb)
--   TBB_LIBRARIES: /usr/local/lib/libtbb.so
--   TBB_INCLUDE_DIRS: *** Required variable "TBB_INCLUDE_DIR" set to NOTFOUND ***
--   TBB_USER_INCLUDE_DIRS: *** Required variable "TBB_INCLUDE_DIR" set to NOTFOUND ***
-- Could NOT find TBB
-- The externally provided TBB library is older than version 4.2.0, which cannot be used with deal.II.
-- DEAL_II_WITH_TBB has unmet external dependencies.

vs, for a normal build with old devel/tbb:

-- Found TBB_LIBRARY
-- TBB_DEBUG_LIBRARY not found! Call:
--     FIND_LIBRARY(TBB_DEBUG_LIBRARY NAMES tbb_debug HINTS PATH_SUFFIXES lib lib64 lib)
-- Found TBB_INCLUDE_DIR
--   TBB_VERSION: 2020.3
--   TBB_LIBRARIES: /usr/local/lib/libtbb.so
--   TBB_INCLUDE_DIRS: /usr/local/include
--   TBB_USER_INCLUDE_DIRS: /usr/local/include
-- Found TBB
-- DEAL_II_WITH_TBB successfully set up with external dependencies.
Comment 3 Yuri Victorovich freebsd_committer 2021-08-15 19:33:55 UTC
Changed math/deal.ii to bundled TBB for the time being.
Comment 4 commit-hook freebsd_committer 2021-08-15 19:34:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b94fd4ef36a4ab7a609775c8898b0d2866304a16

commit b94fd4ef36a4ab7a609775c8898b0d2866304a16
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-08-15 18:43:02 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-08-15 19:33:58 +0000

    math/deal.ii: Bundle TBB to not hold up TBB->oneTBB transition in the ports tree

    Pending https://github.com/dealii/dealii/issues/11561

    PR:             252691

 math/deal.ii/Makefile  |   5 ++-
 math/deal.ii/pkg-plist | 104 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+), 2 deletions(-)
Comment 5 Ganael LAPLANCHE freebsd_committer 2021-08-27 11:30:43 UTC
Thanks Yuri!